package tech.riemann.ims.entity.material;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema.RequiredMode;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.nutz.dao.entity.annotation.ColDefine;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.Comment;
import org.nutz.dao.entity.annotation.Table;
import tech.riemann.ims.entity.IdBaseEntity;

import java.io.Serial;

/**
 * 盘点审核表
 *
 * @author mayong)
 *
 * @since 2024-12-06 10:32:29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("t_stocktaking_scan_detail")
@Table("t_stocktaking_scan_detail")
@Comment("扫码盘点明细表")
@Schema(name = "StocktakingScanDetail", description = "扫码盘点明细表(记录历次盘点扫码的数据)")
public class StocktakingScanDetail extends IdBaseEntity{

    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "申请单id", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("s_apply_id")
    @Column("s_apply_id")
    @Comment("申请单id")
    @ColDefine(notNull = false, width = 10, precision = 0)
    private Integer applyId;

    @Schema(description = "物料ID", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("msd_material_id")
    @Column("msd_material_id")
    @Comment("物料ID")
    @ColDefine(notNull = false)
    private Long materialId;

    @Schema(description = "条码", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("msd_barcode")
    @Column("msd_barcode")
    @Comment("条码")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private String barcode;


}